package com.ruoyi.mall.domain.Vo;

import com.ruoyi.common.annotation.Excel;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 用户简略成绩信息VO
 * @author 萌
 */
public class MemberUserVO implements Serializable {
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 用户头像 */
    private String avatar;

    /** 用户名称 */
    private String name;

    /** 省名 */
    private String provinceName;

    /** 选科：0-文科，1-理科 */
    private String subjectType;

    /** 文化分数 */
    private Integer cultureScore;

    /** 联考分数 */
    private Integer majorScore;

    /** 是否推广人 */
    private Integer sharePerson;

    /** 推广人id */
    private Long introUser;

    /** 分享时的二维码图片 */
    private String qrCode;

    public String getQrCode() {
        return qrCode;
    }

    public void setQrCode(String qrCode) {
        this.qrCode = qrCode;
    }

    public Long getIntroUser() {
        return introUser;
    }

    public void setIntroUser(Long introUser) {
        this.introUser = introUser;
    }

    public Integer getSharePerson() {
        return sharePerson;
    }

    public void setSharePerson(Integer sharePerson) {
        this.sharePerson = sharePerson;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getProvinceName() {
        return provinceName;
    }

    public void setProvinceName(String provinceName) {
        this.provinceName = provinceName;
    }

    public String getSubjectType() {
        return subjectType;
    }

    public void setSubjectType(String subjectType) {
        this.subjectType = subjectType;
    }

    public Integer getCultureScore() {
        return cultureScore;
    }

    public void setCultureScore(Integer cultureScore) {
        this.cultureScore = cultureScore;
    }

    public Integer getMajorScore() {
        return majorScore;
    }

    public void setMajorScore(Integer majorScore) {
        this.majorScore = majorScore;
    }

    @Override
    public String toString() {
        return "MemberUserVO{" +
                "id=" + id +
                ", avatar='" + avatar + '\'' +
                ", name='" + name + '\'' +
                ", provinceName='" + provinceName + '\'' +
                ", subjectType='" + subjectType + '\'' +
                ", cultureScore=" + cultureScore +
                ", majorScore=" + majorScore +
                '}';
    }
}
